/*!
  \example urg_timestamp.cpp URG のタイムスタンプ表示サンプル

  \author Satofumi KAMIMURA

  $Id$
*/

#include "UrgDevice.h"
#include <iostream>

using namespace qrk;
using namespace std;


int main(int argc, char *argv[])
{
  static_cast<void>(argc);
  static_cast<void>(argv);

  UrgDevice urg;
  if (! urg.connect("/dev/ttyACM0")) {
    cout << "UrgDevice::connect: " << urg.what() << endl;
    return 1;
  }

  cout << "timestamp " << urg.timestamp() << " [msec]" << endl;

  return 0;
}
